Bug 65181 - Unable to handle kernel paging request - after update and logrotate
Unable to handle kernel paging request - after update and logrotate
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-19 13:05 EDT by Dan Ryan
Modified: 2005-10-31 17:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-02 11:40:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Ryan 2002-05-19 13:05:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461; .NET 
CLR 1.0.3705)

Description of problem:
Have had this happen now twice - both same events prior:
do a patch of components via rhnd - do NOT reboot, during the next 
maintainence (logrotate, etc). system hangs (high prio kernel activity e.g. 
routing and network seem to continue) for user processes.

this is the output from my messages file:

May 19 04:02:05 paaserver syslogd 1.4.1: restart.
May 19 04:03:37 paaserver kernel: Unable to handle kernel paging request at 
virtual address 5959e040
May 19 04:03:37 paaserver kernel:  printing eip:
May 19 04:03:37 paaserver kernel: c012d172
May 19 04:03:37 paaserver kernel: *pde = 00000000
May 19 04:03:37 paaserver kernel: Oops: 0000
May 19 04:03:37 paaserver kernel: Kernel 2.4.9-31
May 19 04:03:37 paaserver kernel: CPU:    0
May 19 04:03:37 paaserver kernel: EIP:    0010:[kmem_cache_alloc+50/192]    
Tainted: P 
May 19 04:03:37 paaserver kernel: EIP:    0010:[<c012d172>]    Tainted: P 
May 19 04:03:37 paaserver kernel: EFLAGS: 00010002
May 19 04:03:37 paaserver kernel: EIP is at kmem_cache_alloc [kernel] 0x32 
May 19 04:03:37 paaserver kernel: eax: 2020200a   ebx: c1c861a0   ecx: 
d8d96000   edx: 00000000
May 19 04:03:37 paaserver kernel: esi: 00000282   edi: 2020200a   ebp: 
df7a5400   esp: c98b1df8
May 19 04:03:37 paaserver kernel: ds: 0018   es: 0018   ss: 0018
May 19 04:03:37 paaserver kernel: Process updatedb (pid: 3899, 
stackpage=c98b1000)
May 19 04:03:37 paaserver kernel: Stack: dffcf3e4 d9b17240 000003e4 d9b17240 
c1c861a0 c1cf0878 c1cf0878 c0149bd0 
May 19 04:03:37 paaserver kernel:        c1c861a0 000000f0 00000001 00000001 
00000000 00000000 00000000 c1cf0878 
May 19 04:03:37 paaserver kernel:        0004806f df7a5400 c0149f02 df7a5400 
0004806f c1cf0878 00000000 00000000 
May 19 04:03:37 paaserver kernel: Call Trace: [get_new_inode+32/384] 
get_new_inode [kernel] 0x20 
May 19 04:03:37 paaserver kernel: Call Trace: [<c0149bd0>] get_new_inode 
[kernel] 0x20 
May 19 04:03:37 paaserver kernel: [iget4+210/224] iget4 [kernel] 0xd2 
May 19 04:03:37 paaserver kernel: [<c0149f02>] iget4 [kernel] 0xd2 
May 19 04:03:37 paaserver kernel: [kmem_cache_alloc+169/192] kmem_cache_alloc 
[kernel] 0xa9 
May 19 04:03:37 paaserver kernel: [<c012d1e9>] kmem_cache_alloc [kernel] 0xa9 
May 19 04:03:37 paaserver kernel: [3c59x:__insmod_3c59x_O/lib/modules/2.4.9-
31/kernel/drivers/net/3c+-1493096/96] __insmod_ext3_S.te
xt_L43056 [ext3] 0x6738 
May 19 04:03:37 paaserver kernel: [<e0812798>] __insmod_ext3_S.text_L43056 
[ext3] 0x6738 
May 19 04:03:37 paaserver kernel: [real_lookup+79/192] real_lookup [kernel] 
0x4f 
May 19 04:03:37 paaserver kernel: [<c013fc7f>] real_lookup [kernel] 0x4f 
May 19 04:03:37 paaserver kernel: [path_walk+1462/2064] path_walk [kernel] 
0x5b6 
May 19 04:03:37 paaserver kernel: [<c01403a6>] path_walk [kernel] 0x5b6 
May 19 04:03:37 paaserver kernel: [__user_walk+58/96] __user_walk [kernel] 
0x3a 
May 19 04:03:37 paaserver kernel: [<c0140aca>] __user_walk [kernel] 0x3a 
May 19 04:03:37 paaserver kernel: [vfs_lstat+20/80] vfs_lstat [kernel] 0x14 
May 19 04:03:37 paaserver kernel: [<c013d434>] vfs_lstat [kernel] 0x14 
May 19 04:03:37 paaserver kernel: [sys_lstat64+17/48] sys_lstat64 [kernel] 
0x11 
May 19 04:03:37 paaserver kernel: [<c013d9b1>] sys_lstat64 [kernel] 0x11 
May 19 04:03:37 paaserver kernel: [system_call+51/56] system_call [kernel] 
0x33 
May 19 04:03:37 paaserver kernel: [<c0106f3b>] system_call [kernel] 0x33 
May 19 04:03:37 paaserver kernel: 
May 19 04:03:37 paaserver kernel: 
May 19 04:03:37 paaserver kernel: Code: 8b 44 81 18 0f af 7b 18 89 41 14 03 79 
0c 40 75 25 8b 41 04 

[Hardware]
1.7Ghz Pentium 4
512 Mb Memory
2 3-Com NIC cards
2 EIDE HDD


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Have system update some components via rhnd - do not reboot.
2. Wait till daily maintainence activity (logrotate, etc)
3. Users unable to login, system hung, at process level.
	

Additional info:

Concerned about patching this system, without rebooting...
Comment 1 Arjan van de Ven 2002-05-20 08:42:55 EDT
This looks like the nvidia oops... are you using the nvidia driver ?
Comment 2 Dan Ryan 2002-05-20 09:09:50 EDT
nope, ATI Raedon is the Graphics card. Lots of I/O via the two NICs, using 
Samba, sendmail/IMAP, Steltor Corp Time. This is a production server.

Let me know if you need any more info - glad to try to help.

Comment 3 Dan Ryan 2002-06-30 23:24:27 EDT
This happened this evening...

Jun 30 17:04:01 paaserver kernel: ------------[ cut here ]------------
Jun 30 17:04:01 paaserver kernel: kernel BUG at page_alloc.c:85!
Jun 30 17:04:01 paaserver kernel: invalid operand: 0000
Jun 30 17:04:01 paaserver kernel: Kernel 2.4.9-34
Jun 30 17:04:01 paaserver kernel: CPU:    0
Jun 30 17:04:01 paaserver kernel: EIP:    0010:[__free_pages_ok+41/864]    Not 
tainted
Jun 30 17:04:01 paaserver kernel: EIP:    0010:[<c012fae9>]    Not tainted
Jun 30 17:04:01 paaserver kernel: EFLAGS: 00010286
Jun 30 17:04:01 paaserver kernel: EIP is at __free_pages_ok [kernel] 0x29
Jun 30 17:04:01 paaserver kernel: eax: 0000001f   ebx: c18746a8   ecx: 
00000001   edx: 00002558
Jun 30 17:04:01 paaserver kernel: esi: c18746a8   edi: 00016000   ebp: 
00000000   esp: dc915dd8
Jun 30 17:04:01 paaserver kernel: ds: 0018   es: 0018   ss: 0018
Jun 30 17:04:01 paaserver kernel: Process python (pid: 24765, 
stackpage=dc915000)
Jun 30 17:04:01 paaserver kernel: Stack: c022e472 00000055 c1044010 c02b3304 
00000206 ffffffff 00005abb c18746a8
Jun 30 17:04:01 paaserver kernel:        c18746a8 00016000 00000000 c0130ba5 
00000040 000d3340 00000000 deca42b8
Jun 30 17:04:01 paaserver kernel:        c18746a8 00000000 c0124a66 c18746a8 
00000001 dfd09000 00000000 40016000
Jun 30 17:04:01 paaserver kernel: Call Trace: 
[IRQ0x0f_interrupt+113106/138304] .rodata.str1.1 [kernel] 0x22ad
Jun 30 17:04:01 paaserver kernel: Call Trace: [<c022e472>] .rodata.str1.1 
[kernel] 0x22ad
Jun 30 17:04:01 paaserver kernel: [free_page_and_swap_cache+197/208] 
free_page_and_swap_cache [kernel] 0xc5
Jun 30 17:04:01 paaserver kernel: [<c0130ba5>] free_page_and_swap_cache 
[kernel] 0xc5
Jun 30 17:04:01 paaserver kernel: [zap_page_range+486/704] zap_page_range 
[kernel] 0x1e6
Jun 30 17:04:01 paaserver kernel: [<c0124a66>] zap_page_range [kernel] 0x1e6
Jun 30 17:04:01 paaserver kernel: [dput+28/368] dput [kernel] 0x1c
Jun 30 17:04:01 paaserver kernel: [<c0147c0c>] dput [kernel] 0x1c
Jun 30 17:04:01 paaserver kernel: [vmfree_area_pages+306/448] 
vmfree_area_pages [kernel] 0x132
Jun 30 17:04:01 paaserver kernel: [<c012c292>] vmfree_area_pages [kernel] 0x132
Jun 30 17:04:01 paaserver kernel: [fput+116/208] fput [kernel] 0x74
Jun 30 17:04:01 paaserver kernel: [<c0137744>] fput [kernel] 0x74
Jun 30 17:04:01 paaserver kernel: [exit_mmap+184/288] exit_mmap [kernel] 0xb8
Jun 30 17:04:01 paaserver kernel: [<c01272e8>] exit_mmap [kernel] 0xb8
Jun 30 17:04:01 paaserver kernel: [mmput+84/112] mmput [kernel] 0x54
Jun 30 17:04:01 paaserver kernel: [<c0116484>] mmput [kernel] 0x54
Jun 30 17:04:01 paaserver kernel: [do_exit+179/496] do_exit [kernel] 0xb3
Jun 30 17:04:01 paaserver kernel: [<c011a4f3>] do_exit [kernel] 0xb3
Jun 30 17:04:01 paaserver kernel: [dequeue_signal+109/176] dequeue_signal 
[kernel] 0x6d
Jun 30 17:04:01 paaserver kernel: [<c011faad>] dequeue_signal [kernel] 0x6d
Jun 30 17:04:01 paaserver kernel: [do_signal+564/672] do_signal [kernel] 0x234
Jun 30 17:04:01 paaserver kernel: [<c0106de4>] do_signal [kernel] 0x234
Jun 30 17:04:01 paaserver kernel: [old_mmap+237/304] old_mmap [kernel] 0xed
Jun 30 17:04:01 paaserver kernel: [<c010b52d>] old_mmap [kernel] 0xed
Jun 30 17:04:01 paaserver kernel: [old_mmap+277/304] old_mmap [kernel] 0x115
Jun 30 17:04:01 paaserver kernel: [<c010b555>] old_mmap [kernel] 0x115
Jun 30 17:04:01 paaserver kernel: [merge_anon_vmas+34/176] merge_anon_vmas 
[kernel] 0x22
Jun 30 17:04:01 paaserver kernel: [<c0127522>] merge_anon_vmas [kernel] 0x22
Jun 30 17:04:01 paaserver kernel: [filp_close+83/96] filp_close [kernel] 0x53
Jun 30 17:04:01 paaserver kernel: [<c0136633>] filp_close [kernel] 0x53
Jun 30 17:04:01 paaserver kernel: [do_page_fault+0/1168] do_page_fault 
[kernel] 0x0
Jun 30 17:04:01 paaserver kernel: [<c0114470>] do_page_fault [kernel] 0x0
Jun 30 17:04:01 paaserver kernel: [signal_return+20/24] signal_return [kernel] 
0x14
Jun 30 17:04:01 paaserver kernel: [<c0106f7c>] signal_return [kernel] 0x14
Jun 30 17:04:01 paaserver kernel:
Jun 30 17:04:01 paaserver kernel:
Jun 30 17:04:01 paaserver kernel: Code: 0f 0b 58 5a 8b 7b 08 85 ff 74 10 6a 57 
68 72 e4 22 c0 e8 a0

Comment 4 Alton Weeks 2002-07-08 16:36:57 EDT
I am having this problem also.  Please help!
Comment 5 Dan Ryan 2002-07-13 11:44:14 EDT
This is begining to be a more frequent issue, I wouldn't care so much, but the 
system in question is a production system. Here is the latest from this 
morning's hickup - again the kernel displays these messages and from that 
point on, users are unable to login, or create processes. However the kernel 
(priv code) seems to still operate.

Any analysis or insite, on how to prevent this would be very helpful. This 
round below started during or right after the out-of-the-box anacron (daily) 
jobs.


here you go:

ul 13 02:08:35 paaserver dhcpd: DHCPACK on 192.168.100.101 to 
00:e0:29:75:91:3b via eth1
Jul 13 04:02:04 paaserver syslogd 1.4.1: restart.
Jul 13 04:03:24 paaserver kernel: Unable to handle kernel paging request at 
virtual address eb3ef564
Jul 13 04:03:24 paaserver kernel:  printing eip:
Jul 13 04:03:24 paaserver kernel: c012d212
Jul 13 04:03:24 paaserver kernel: *pde = 00000000
Jul 13 04:03:24 paaserver kernel: Oops: 0000
Jul 13 04:03:24 paaserver kernel: Kernel 2.4.9-34
Jul 13 04:03:24 paaserver kernel: CPU:    0
Jul 13 04:03:24 paaserver kernel: EIP:    0010:[kmem_cache_alloc+50/192]    
Not tainted
Jul 13 04:03:24 paaserver kernel: EIP:    0010:[<c012d212>]    Not tainted
Jul 13 04:03:24 paaserver kernel: EFLAGS: 00010006
Jul 13 04:03:24 paaserver kernel: EIP is at kmem_cache_alloc [kernel] 0x32
Jul 13 04:03:24 paaserver kernel: eax: 456b4153   ebx: c1c861a0   ecx: 
d591f000   edx: 00000001
Jul 13 04:03:24 paaserver kernel: esi: 00000282   edi: 456b4153   ebp: 
dec4b400   esp: c1ae7df8
Jul 13 04:03:24 paaserver kernel: ds: 0018   es: 0018   ss: 0018
Jul 13 04:03:24 paaserver kernel: Process updatedb (pid: 6794, 
stackpage=c1ae7000)
Jul 13 04:03:24 paaserver kernel: Stack: c33a9f24 cd2cc5c0 00001f24 cd2cc5c0 
c1c861a0 c1cdde30 c1cdde30 c0149e70
Jul 13 04:03:24 paaserver kernel:        c1c861a0 000000f0 00000001 00000001 
00000001 00000001 00000000 c1cdde30
Jul 13 04:03:24 paaserver kernel:        00038833 dec4b400 c014a1a2 dec4b400 
00038833 c1cdde30 00000000 00000000
Jul 13 04:03:24 paaserver kernel: Call Trace: [get_new_inode+32/384] 
get_new_inode [kernel] 0x20
Jul 13 04:03:24 paaserver kernel: Call Trace: [<c0149e70>] get_new_inode 
[kernel] 0x20
Jul 13 04:03:24 paaserver kernel: [iget4+210/224] iget4 [kernel] 0xd2
Jul 13 04:03:24 paaserver kernel: [<c014a1a2>] iget4 [kernel] 0xd2
Jul 13 04:03:24 paaserver kernel: [3c59x:__insmod_3c59x_O/lib/modules/2.4.9-
34/kernel/drivers/net/3c+-1493096/96] __insmod_ext3_S.te
xt_L43056 [ext3] 0x6738
Jul 13 04:03:24 paaserver kernel: [<e0812798>] __insmod_ext3_S.text_L43056 
[ext3] 0x6738
Jul 13 04:03:24 paaserver kernel: [real_lookup+79/192] real_lookup [kernel] 
0x4f
Jul 13 04:03:24 paaserver kernel: [<c013ff1f>] real_lookup [kernel] 0x4f
Jul 13 04:03:24 paaserver kernel: [path_walk+1462/2064] path_walk [kernel] 
0x5b6
Jul 13 04:03:24 paaserver kernel: [<c0140646>] path_walk [kernel] 0x5b6
Jul 13 04:03:24 paaserver kernel: [__user_walk+58/96] __user_walk [kernel] 0x3a
Jul 13 04:03:24 paaserver kernel: [<c0140d6a>] __user_walk [kernel] 0x3a
Jul 13 04:03:24 paaserver kernel: [vfs_lstat+20/80] vfs_lstat [kernel] 0x14
Jul 13 04:03:24 paaserver kernel: [<c013d6d4>] vfs_lstat [kernel] 0x14
Jul 13 04:03:24 paaserver kernel: [sys_lstat64+17/48] sys_lstat64 [kernel] 0x11
Jul 13 04:03:24 paaserver kernel: [<c013dc51>] sys_lstat64 [kernel] 0x11
Jul 13 04:03:24 paaserver kernel: [do_page_fault+0/1168] do_page_fault 
[kernel] 0x0
Jul 13 04:03:24 paaserver kernel: [<c0114470>] do_page_fault [kernel] 0x0
Jul 13 04:03:24 paaserver kernel: [error_code+56/64] error_code [kernel] 0x38
Jul 13 04:03:24 paaserver kernel: [<c0107038>] error_code [kernel] 0x38
Jul 13 04:03:24 paaserver kernel: [system_call+51/56] system_call [kernel] 0x33
Jul 13 04:03:24 paaserver kernel: [<c0106f3b>] system_call [kernel] 0x33
Jul 13 04:03:24 paaserver kernel:
Jul 13 04:03:24 paaserver kernel:
Jul 13 04:03:24 paaserver kernel: Code: 8b 44 81 18 0f af 7b 18 89 41 14 03 79 
0c 40 75 25 8b 41 04
Jul 13 04:03:24 paaserver kernel:  <1>Unable to handle kernel paging request 
at virtual address eb3ef564
Jul 13 04:03:24 paaserver kernel:  printing eip:
Jul 13 04:03:24 paaserver kernel: c012d212
Jul 13 04:03:24 paaserver kernel: *pde = 00000000
Jul 13 04:03:24 paaserver kernel: Oops: 0000
Jul 13 04:03:24 paaserver kernel: Kernel 2.4.9-34
Jul 13 04:03:24 paaserver kernel: CPU:    0
Jul 13 04:03:24 paaserver kernel: EIP:    0010:[kmem_cache_alloc+50/192]    
Not tainted
Jul 13 04:03:24 paaserver kernel: EIP:    0010:[<c012d212>]    Not tainted
Jul 13 04:03:24 paaserver kernel: EFLAGS: 00010002
Jul 13 04:03:24 paaserver kernel: EIP is at kmem_cache_alloc [kernel] 0x32
Jul 13 04:03:24 paaserver kernel: eax: 456b4153   ebx: c1c861a0   ecx: 
d591f000   edx: 00000001
Jul 13 04:03:24 paaserver kernel: esi: 00000282   edi: 456b4153   ebp: 
c1bdc400   esp: d3b5fdf8
Jul 13 04:03:24 paaserver kernel: ds: 0018   es: 0018   ss: 0018
Jul 13 04:03:24 paaserver kernel: Process run-parts (pid: 6446, 
stackpage=d3b5f000)
Jul 13 04:03:24 paaserver kernel: Stack: d6adf0fc cb15d800 000000fc cb15d800 
c1c861a0 c1cda108 c1cda108 c0149e70
Jul 13 04:03:24 paaserver kernel:        c1c861a0 000000f0 00000001 00000001 
00000000 00000000 00000000 c1cda108
Jul 13 04:03:24 paaserver kernel:        000cb9cc c1bdc400 c014a1a2 c1bdc400 
000cb9cc c1cda108 00000000 00000000
Jul 13 04:03:24 paaserver kernel: Call Trace: [get_new_inode+32/384] 
get_new_inode [kernel] 0x20
Jul 13 04:03:24 paaserver kernel: Call Trace: [<c0149e70>] get_new_inode 
[kernel] 0x20
Jul 13 04:03:24 paaserver kernel: [iget4+210/224] iget4 [kernel] 0xd2
Jul 13 04:03:24 paaserver kernel: [<c014a1a2>] iget4 [kernel] 0xd2
Jul 13 04:03:24 paaserver kernel: [3c59x:__insmod_3c59x_O/lib/modules/2.4.9-
34/kernel/drivers/net/3c+-1493096/96] __insmod_ext3_S.te
xt_L43056 [ext3] 0x6738
Jul 13 04:03:24 paaserver kernel: [<e0812798>] __insmod_ext3_S.text_L43056
[ext3] 0x6738
Jul 13 04:03:24 paaserver kernel: [real_lookup+79/192] real_lookup [kernel] 
0x4f
Jul 13 04:03:24 paaserver kernel: [<c013ff1f>] real_lookup [kernel] 0x4f
Jul 13 04:03:24 paaserver kernel: [path_walk+1462/2064] path_walk [kernel] 
0x5b6
Jul 13 04:03:24 paaserver kernel: [<c0140646>] path_walk [kernel] 0x5b6
Jul 13 04:03:24 paaserver kernel: [handle_signal+125/256] handle_signal 
[kernel] 0x7d
Jul 13 04:03:24 paaserver kernel: [<c0106b2d>] handle_signal [kernel] 0x7d
Jul 13 04:03:24 paaserver kernel: [__user_walk+58/96] __user_walk [kernel] 0x3a
Jul 13 04:03:24 paaserver kernel: [<c0140d6a>] __user_walk [kernel] 0x3a
Jul 13 04:03:24 paaserver kernel: [vfs_stat+20/80] vfs_stat [kernel] 0x14
Jul 13 04:03:24 paaserver kernel: [<c013d684>] vfs_stat [kernel] 0x14
Jul 13 04:03:24 paaserver kernel: [sys_stat64+17/48] sys_stat64 [kernel] 0x11
Jul 13 04:03:24 paaserver kernel: [<c013dc21>] sys_stat64 [kernel] 0x11
Jul 13 04:03:24 paaserver kernel: [sys_sigreturn+185/240] sys_sigreturn 
[kernel] 0xb9
Jul 13 04:03:24 paaserver kernel: [<c0106399>] sys_sigreturn [kernel] 0xb9
Jul 13 04:03:24 paaserver kernel: [system_call+51/56] system_call [kernel] 0x33
Jul 13 04:03:24 paaserver kernel: [<c0106f3b>] system_call [kernel] 0x33
Jul 13 04:03:24 paaserver kernel:
Jul 13 04:03:24 paaserver kernel:
Jul 13 04:03:24 paaserver kernel: Code: 8b 44 81 18 0f af 7b 18 89 41 14 03 79 
0c 40 75 25 8b 41 04
Jul 13 04:03:24 paaserver kernel:  <1>Unable to handle kernel paging request 
at virtual address eb3ef564
Jul 13 04:03:24 paaserver kernel:  printing eip:
Jul 13 04:03:24 paaserver kernel: c012d212
Jul 13 04:03:24 paaserver kernel: *pde = 00000000
Jul 13 04:03:24 paaserver kernel: Oops: 0000
Jul 13 04:03:24 paaserver kernel: Kernel 2.4.9-34
Jul 13 04:03:24 paaserver kernel: CPU:    0
Jul 13 04:03:24 paaserver kernel: EIP:    0010:[kmem_cache_alloc+50/192]    
Not tainted
Jul 13 04:03:24 paaserver kernel: EIP:    0010:[<c012d212>]    Not tainted
Jul 13 04:03:24 paaserver kernel: EFLAGS: 00010002
Jul 13 04:03:24 paaserver kernel: EIP is at kmem_cache_alloc [kernel] 0x32
Jul 13 04:03:24 paaserver kernel: eax: 456b4153   ebx: c1c861a0   ecx: 
d591f000   edx: 00000001
Jul 13 04:03:24 paaserver kernel: esi: 00000286   edi: 456b4153   ebp: 
c1c83400   esp: c7e59dc0
Jul 13 04:03:24 paaserver kernel: ds: 0018   es: 0018   ss: 0018
Jul 13 04:03:24 paaserver kernel: Process sendmail (pid: 6607, 
stackpage=c7e59000)
Jul 13 04:03:24 paaserver kernel: Stack: d5590540 de2b7840 000000f0 c7e58000 
c1c861a0 c1ceede0 c1ceede0 c0149e70
Jul 13 04:03:24 paaserver kernel:        c1c861a0 000000f0 c7e58000 00000000 
00000000 00000001 00000000 c1ceede0
Jul 13 04:03:24 paaserver kernel:        00001000 c1c83400 c014a1a2 c1c83400 
00001000 c1ceede0 00000000 00000000
Jul 13 04:03:24 paaserver kernel: Call Trace: [get_new_inode+32/384] 
get_new_inode [kernel] 0x20
Jul 13 04:03:24 paaserver kernel: Call Trace: [<c0149e70>] get_new_inode
[kernel] 0x20
Jul 13 04:03:24 paaserver kernel: [iget4+210/224] iget4 [kernel] 0xd2
Jul 13 04:03:24 paaserver kernel: [<c014a1a2>] iget4 [kernel] 0xd2
Jul 13 04:03:24 paaserver kernel: [proc_get_inode+64/256] proc_get_inode 
[kernel] 0x40
Jul 13 04:03:24 paaserver kernel: [<c0152630>] proc_get_inode [kernel] 0x40
Jul 13 04:03:24 paaserver kernel: [proc_lookup+162/192] proc_lookup [kernel] 
0xa2
Jul 13 04:03:24 paaserver kernel: [<c0154212>] proc_lookup [kernel] 0xa2
Jul 13 04:03:24 paaserver kernel: [proc_root_lookup+42/80] proc_root_lookup 
[kernel] 0x2a
Jul 13 04:03:24 paaserver kernel: [<c01527ca>] proc_root_lookup [kernel] 0x2a
Jul 13 04:03:24 paaserver kernel: [real_lookup+79/192] real_lookup [kernel] 
0x4f
Jul 13 04:03:24 paaserver kernel: [<c013ff1f>] real_lookup [kernel] 0x4f
Jul 13 04:03:24 paaserver kernel: [path_walk+1462/2064] path_walk [kernel] 
0x5b6
Jul 13 04:03:24 paaserver kernel: [<c0140646>] path_walk [kernel] 0x5b6
Jul 13 04:03:24 paaserver kernel: [sys_connect+101/128] sys_connect [kernel] 
0x65
Jul 13 04:03:24 paaserver kernel: [<c01bcd35>] sys_connect [kernel] 0x65
Jul 13 04:03:24 paaserver kernel: [open_namei+140/1488] open_namei [kernel] 
0x8c
Jul 13 04:03:24 paaserver kernel: [<c0140f0c>] open_namei [kernel] 0x8c
Jul 13 04:03:24 paaserver kernel: [dentry_open+195/320] dentry_open [kernel] 
0xc3
Jul 13 04:03:24 paaserver kernel: [<c0136343>] dentry_open [kernel] 0xc3
Jul 13 04:03:24 paaserver kernel: [filp_open+54/96] filp_open [kernel] 0x36 
Jul 13 04:03:24 paaserver kernel: [<c0136256>] filp_open [kernel] 0x36
Jul 13 04:03:24 paaserver kernel: [getname+94/160] getname [kernel] 0x5e
Jul 13 04:03:24 paaserver kernel: [<c013fc6e>] getname [kernel] 0x5e 
Jul 13 04:03:24 paaserver kernel: [sys_open+54/176] sys_open [kernel] 0x36
Jul 13 04:03:24 paaserver kernel: [<c0136546>] sys_open [kernel] 0x36 
Jul 13 04:03:24 paaserver kernel: [system_call+51/56] system_call [kernel] 
0x33 
Jul 13 04:03:24 paaserver kernel: [<c0106f3b>] system_call [kernel] 0x33
Jul 13 04:03:24 paaserver kernel: 
Jul 13 04:03:24 paaserver kernel: 
Jul 13 04:03:24 paaserver kernel: Code: 8b 44 81 18 0f af 7b 18 89 41 14 03 79 
0c 40 75 25 8b 41 04
Jul 13 04:04:00 paaserver kernel:  <1>Unable to handle kernel paging request 
at virtual address eb3ef564
Jul 13 04:04:00 paaserver kernel:  printing eip:
Jul 13 04:04:00 paaserver kernel: c012d212
Jul 13 04:04:00 paaserver kernel: *pde = 00000000
Jul 13 04:04:00 paaserver kernel: Oops: 0000
Jul 13 04:04:00 paaserver kernel: Kernel 2.4.9-34
Jul 13 04:04:00 paaserver kernel: CPU:    0
Jul 13 04:04:00 paaserver kernel: EIP:    0010:[kmem_cache_alloc+50/192]    
Not tainted
Jul 13 04:04:00 paaserver kernel: EIP:    0010:[<c012d212>]    Not tainted
Jul 13 04:04:00 paaserver kernel: EFLAGS: 00010006
Jul 13 04:04:00 paaserver kernel: EIP is at kmem_cache_alloc [kernel] 0x32
Jul 13 04:04:00 paaserver kernel: eax: 456b4153   ebx: c1c861a0   ecx: 
d591f000   edx: 00000001
Jul 13 04:04:00 paaserver kernel: esi: 00000286   edi: 456b4153   ebp: 
c248cf00   esp: ce94ff0c
Jul 13 04:04:00 paaserver kernel: ds: 0018   es: 0018   ss: 0018
Jul 13 04:04:00 paaserver kernel: Process crond (pid: 6797, 
stackpage=ce94f000) 
Jul 13 04:04:00 paaserver kernel: Stack: dffd5e40 d3a1f2a0 40016b6c 00000001 
c1c861a0 d5b6f180 bfffde18 c0149de2
Jul 13 04:04:00 paaserver kernel:        c1c861a0 000000f0 ce94e000 c013f856 
ce94e000 c013f922 db465184 c0120aa7
Jul 13 04:04:00 paaserver kernel:        ffffffe9 ce94e558 00000000 ce94ff70 
ce94ffa4 c0120e63 00000011 ce94ff90
Jul 13 04:04:00 paaserver kernel: Call Trace: [get_empty_inode+18/128] 
get_empty_inode [kernel] 0x12
Jul 13 04:04:00 paaserver kernel: Call Trace: [<c0149de2>] get_empty_inode 
[kernel] 0x12
Jul 13 04:04:00 paaserver kernel: [get_pipe_inode+6/160] get_pipe_inode 
[kernel] 0x6
Jul 13 04:04:00 paaserver kernel: [<c013f856>] get_pipe_inode [kernel] 0x6  
Jul 13 04:04:00 paaserver kernel: [do_pipe+50/608] do_pipe [kernel] 0x32 
Jul 13 04:04:00 paaserver kernel: [<c013f922>] do_pipe [kernel] 0x32
Jul 13 04:04:00 paaserver kernel: [do_sigaction+183/240] do_sigaction [kernel] 
0xb7
Jul 13 04:04:00 paaserver kernel: [<c0120aa7>] do_sigaction [kernel] 0xb7 
Jul 13 04:04:00 paaserver kernel: [sys_rt_sigaction+147/240] sys_rt_sigaction 
[kernel] 0x93 
Jul 13 04:04:00 paaserver kernel: [<c0120e63>] sys_rt_sigaction [kernel] 0x93
Jul 13 04:04:00 paaserver kernel: [sys_pipe+19/96] sys_pipe [kernel] 0x13 
Jul 13 04:04:00 paaserver kernel: [<c010b353>] sys_pipe [kernel] 0x13 
Jul 13 04:04:00 paaserver kernel: [system_call+51/56] system_call [kernel] 
0x33 
Jul 13 04:04:00 paaserver kernel: [<c0106f3b>] system_call [kernel] 0x33 
Jul 13 04:04:00 paaserver kernel: 
Jul 13 04:04:00 paaserver kernel: 
Jul 13 04:04:00 paaserver kernel: Code: 8b 44 81 18 0f af 7b 18 89 41 14 03 79 
0c 40 75 25 8b 41 04
Jul 13 07:38:43 paaserver syslogd 1.4.1: restart.
Jul 13 07:38:43 paaserver syslog: syslogd startup succeeded
Jul 13 07:38:43 paaserver kernel: klogd 1.4.1, log source = /proc/kmsg started.
Jul 13 07:38:43 paaserver kernel: Inspecting /boot/System.map-2.4.9-34
Jul 13 07:38:43 paaserver syslog: klogd startup succeeded
Jul 13 07:38:43 paaserver kernel: Loaded 15177 symbols from /boot/System.map-
2.4.9-34.
Jul 13 07:38:43 paaserver kernel: Symbols match kernel version 2.4.9.
Jul 13 07:38:43 paaserver kernel: Loaded 288 symbols from 11 modules.
Jul 13 07:38:43 paaserver kernel: Linux version 2.4.9-34 
(bhcompile@daffy.perf.redhat.com) (gcc version 2.96 20000731 (Red Hat Linux
 7.2 2.96-108.1)) #1 Sat Jun 1 06:25:16 EDT 2002


Comment 6 Dan Ryan 2002-08-02 11:39:55 EDT
Could some one confirm, deny, or speculate if these oopps are (or could be) 
the result of a bad memory module? Not knowing enough about how to decode the 
footprints, if someone could take a look and provide a answer it would greatly 
help in the probable closure of this issue.
Comment 7 Dan Ryan 2002-08-15 12:15:03 EDT
256Mb memory DIMM was found to be defective. System is fine with replacement 
DIMM.

Note You need to log in before you can comment on or make changes to this bug.